services:
  go-nkode:
    container_name: go-nkode
    image: registry.infra.nkode.tech/go-nkode
    volumes:
      - /var/go-nkode/sqlite:/app/data/sqlite
      - /var/go-nkode/icons:/app/data/icons

    environment:
      - JWT_SECRET=${JWT_SECRET}
      - AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}
      - AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
      - AWS_REGION=${AWS_REGION}
      - FRONTEND_HOST=https://app.nkode.tech
